unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ComCtrls, StdCtrls, ExtCtrls, LcsTranslate;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    StatusBar1: TStatusBar;
    Label1: TLabel;
    Button1: TButton;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    ListBox1: TListBox;
    GroupBox1: TGroupBox;
    Panel1: TPanel;
    ComboBox1: TComboBox;
    Button2: TButton;
    btnLang1: TButton;
    btnLang2: TButton;
    Label2: TLabel;
    LcsTranslate1: TLcsTranslate;
    procedure Button2Click(Sender: TObject);
    procedure btnLang1Click(Sender: TObject);
    procedure btnLang2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var Langs: TStringList;
begin
  //    
  Langs := TStringList.Create;
  LcsTranslate1.GetLangIDs(Langs);
  if (Langs.Count >= 2) then
  begin
    //   
    btnLang1.Caption := LcsTranslate1.GetLangName(Langs[0]);
    //     
    LcsTranslate1.AddNotTranslate(btnLang1);

    //   
    btnLang2.Caption := LcsTranslate1.GetLangName(Langs[1]);
    //     
    LcsTranslate1.AddNotTranslate(btnLang2);
  end;
  Langs.Clear;
  Langs.Free;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ShowMessage(Translate(' 1'+#13#10+' 2'));
end;

procedure TForm1.btnLang1Click(Sender: TObject);
begin
  LcsTranslate1.SetLangID(btnLang1.Caption);
end;

procedure TForm1.btnLang2Click(Sender: TObject);
begin
  LcsTranslate1.SetLangID(btnLang2.Caption);
end;

end.
